Sample Data Endpoint
curl --request POST \
--url https://api.example.com/talk2data/v1/sample \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_uri": "<string>",
"table_fqn": "<string>",
"limit": 10
}
'import requests
url = "https://api.example.com/talk2data/v1/sample"
payload = {
"resource_uri": "<string>",
"table_fqn": "<string>",
"limit": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resource_uri: '<string>', table_fqn: '<string>', limit: 10})
};
fetch('https://api.example.com/talk2data/v1/sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"columns": [
"<string>"
],
"rows": [
[
"<unknown>"
]
],
"row_count": 123,
"truncated": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}sample
Sample Data Endpoint
POST
/
talk2data
/
v1
/
sample
Sample Data Endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for table sample data.
Resource URI of the data connection (e.g. data:org:project:name)
Required string length:
1 - 512Fully qualified table name: database.schema.table
Required string length:
1 - 512Maximum rows to return
Required range:
1 <= x <= 100Was this page helpful?
⌘I

